package cli

import (
	"fmt"
	"flag"

	"git.rdelaage.ovh/rdelaage/cyanocorax/version"
)

const (
	flagInfoHelp = "Show application information"
	flagVersionHelp = "Show application version"
)

func Parse() {
	var (
		flagInfo bool
		flagVersion bool
	)

	flag.BoolVar(&flagInfo, "info", false, flagInfoHelp)
	flag.BoolVar(&flagInfo, "i", false, flagInfoHelp)
	flag.BoolVar(&flagVersion, "version", false, flagVersionHelp)
	flag.BoolVar(&flagVersion, "v", false, flagVersionHelp)
	
	flag.Parse()

	if flagInfo {
		info()
		return
	}

	if flagVersion {
		fmt.Println(version.Version)
		return
	}
}
